
Foreman - Bug #5733

Puppet class names get shortened

05/15/2014 08:34 AM - Björn Häuser

Status: Resolved   

Priority: Normal   

Assignee: Tomer Brisker   

Category:    

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.4.2

Bugzilla link: 1146438 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2607

  

Description

Hi!

Thanks for making foreman, it's awesome!

In the Edit Host Page puppet classes get shortened, also the mouseover overlay gets shortened. Attached you can find a

Screenshot. We also have longer names, where you just have to use some html magic and id-to-name -mappinng to get the righ

class ;)

Thanks

Björn

Related issues:

Related to Foreman - Bug #3181: Host select action tooltips are truncated Resolved 10/02/2013

Related to Foreman - Bug #2879: long puppet class names truncated in UI, even... Resolved 08/05/2013

Related to Foreman - Bug #10247: Hostname tooltip are truncated Resolved 04/23/2015

Related to Foreman - Bug #14636: Unable to search puppet classes with long names Closed 04/14/2016

Related to Foreman - Bug #9453: Config Groups: Tooltips used for adding/remov... Closed 02/18/2015

Has duplicate Foreman - Bug #7415: puppet class tagging is difficult with lon... Duplicate 09/11/2014

History

#1 - 05/15/2014 08:36 AM - Dominic Cleal

- Related to Feature #4410: Tooltip for puppet parameters added

#2 - 05/15/2014 08:36 AM - Dominic Cleal

- Related to Bug #3181: Host select action tooltips are truncated added

#3 - 09/17/2014 10:04 AM - Dominic Cleal

- Has duplicate Bug #7415: puppet class tagging is difficult with long class names added

#4 - 09/25/2014 08:53 AM - Dominic Cleal

- Bugzilla link set to 1146438

#5 - 04/23/2015 03:53 AM - Dominic Cleal

- Related to Bug #2879: long puppet class names truncated in UI, even in tooltip added

#6 - 04/23/2015 03:53 AM - Dominic Cleal

- Related to Bug #10247: Hostname tooltip are truncated added

#7 - 08/16/2015 06:48 AM - Tomer Brisker

- Status changed from New to Assigned
- Assignee set to Tomer Brisker

#8 - 08/16/2015 07:24 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2607 added

- Pull request deleted ()

#9 - 08/16/2015 07:48 AM - Ori Rabin

- Related to deleted (Feature #4410: Tooltip for puppet parameters)

#10 - 08/25/2015 03:16 AM - Tomer Brisker

- Status changed from Ready For Testing to Resolved

- translation missing: en.field_release set to 63

This has been resolved in current versions of Foreman. Please re-open if there is still an issue with this.

#11 - 04/14/2016 04:15 AM - Dominic Cleal

- Related to Bug #14636: Unable to search puppet classes with long names added

#12 - 04/14/2016 04:16 AM - Dominic Cleal

- Related to Bug #9453: Config Groups: Tooltips used for adding/removing classes to a config group could be streamlined added
